---
apiVersion: gateway.networking.k8s.io/v1
kind: HTTPRoute
metadata:
  labels:
    app.kubernetes.io/component: puppetdb
    app.kubernetes.io/instance: puppetserver
    app.kubernetes.io/name: puppetserver
    app.kubernetes.io/version: 8.8.0
  name: puppetdb
  namespace: puppet
spec:
  hostnames:
    - puppetdb.k8s.syd1.au.unkin.net
  parentRefs:
    - group: gateway.networking.k8s.io
      kind: Gateway
      name: puppetdb
      sectionName: https
  rules:
    - backendRefs:
        - group: ""
          kind: Service
          name: puppetdb
          port: 8080
          weight: 1
      matches:
        - path:
            type: PathPrefix
            value: /
